#include <ctype.h>

void remove_spaces(char* s) { // https://stackoverflow.com/questions/1726302/removing-spaces-from-a-string-in-c
    const char* d = s;
    do {
        while (*d == ' ') {
            ++d;
        }
    } while ((*s++ = tolower(*d++))); // modified
}

#define NO_OF_CHARS 256
int areAnagram(char* str1, char* str2)  // https://www.geeksforgeeks.org/check-whether-two-strings-are-anagram-of-each-other/
{ 
    // Create 2 count arrays and initialize all values as 0 
    int count1[NO_OF_CHARS] = { 0 }; 
    int count2[NO_OF_CHARS] = { 0 }; 
    int i; 
  
    // For each character in input strings, increment count 
    // in the corresponding count array 
    for (i = 0; str1[i] && str2[i]; i++) { 
        count1[str1[i]]++; 
        count2[str2[i]]++; 
    } 
  
    // If both strings are of different length. Removing 
    // this condition will make the program fail for strings 
    // like "aaca" and "aca" 
    if (str1[i] || str2[i]) 
        return 0; 
  
    // Compare count arrays 
    for (i = 0; i < NO_OF_CHARS; i++) 
        if (count1[i] != count2[i]) 
            return 0; 
  
    return 1; 
}

int entry(char *s1, char* s2) {
  remove_spaces(s1);
  remove_spaces(s2);
  return areAnagram(s1, s2);
}